{% extends 'story6app/base.html' %} {% block content %}
<style>
    body {
        background-color: #182338;
    }
</style>
<div class="container py-4" style="background-color: #182338;">
    <h1 class="display-4 text-center pb-4 border-bottom" style="color: aliceblue; font-family: 'Oswald';">KEGIATAN</h1>
    <Form method="POST" class="row my-5">
        {% csrf_token %}
        <div class="col-7 ml-auto">
            {{ formA.activity }}
        </div>
        <button type="submit" class="btn btn-dark col-2 mr-auto" style="background-color: aliceblue; color: #182338;">Add Activity</button>
    </Form>
    <hr> {% if messages %} {% for message in messages %}
    <div class="alert alert-{{ message.tags }} alert-dismissible fade show mt-4" role="alert">
        {{ message }}
        <button type="button" class="close" data-dismiss="alert" aria-label="Close" style="color: aliceblue;">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>
    {% endfor %} {% endif %}
    <div class="d-flex justify-content-around flex-wrap pb-4">
        {% for activity in activities %}
        <div class="card bg-light mt-5" style="width: 18rem;">
            <div class="card-header" style="background-color: aliceblue; color: #182338;">
                <div class="row">
                    <h5 class="col-10 mb-2" style="color: rgb(81, 112, 139);">{{ activity }}</h5>
                    <a href="{% url 'story6app:deleteActivity' activity.id %}" class="col-2">
                        <button type="button" class="close mb-2">&times;</button>
                    </a>
                </div>
            </div>
            <div class="card-body" style="color: #182338;">
                <h6 class="card-title">Members:</h6>
                <p></p>
                <ul>
                    {% for member in members %} {% if member.aktivitas.id == activity.id %}
                    <li class="row">
                        <h5 class="col-10">{{ member }}</h5>
                        <a href="{% url 'story6app:deleteMember' member.id %}" class="col-2">
                            <button type="button" class="close">&times;</button>
                        </a>
                    </li>
                    {% endif %} {% endfor %}

                </ul>
                <form method="POST">
                    {% csrf_token %} {{ formB.member }}
                    <input name="aktivitas" type="text" value="{{ activity.id }}" style="display: none;">
                    <button type="submit" class="btn btn-dark col-6 mt-2" style="background-color: aliceblue; color: #182338;">Join</button>
                </form>
            </div>
        </div>
        {% endfor %}
    </div>
</div>

{% endblock content %}